> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gengen.farm/llms.txt
> Use this file to discover all available pages before exploring further.

# Get audio generation

> Get audio generation. See the Audio API guide for limits, lifecycle and examples.

See the [Audio API guide](/api-reference/elevenlabs/overview) for request examples, limits, billing and delivery behavior.


## OpenAPI

````yaml openapi/audio.yaml GET /audio/generations/{id}
openapi: 3.1.0
info:
  title: GENGEN Audio API
  version: 1.0.0
  description: >-
    Speech, dialogue, complete-turn WebSocket sessions, voices and completion
    webhooks. See the Audio API guide for frame format and signature
    verification.
servers:
  - url: https://gengen.farm/api/gengen/v1
security:
  - bearerAuth: []
paths:
  /audio/generations/{id}:
    get:
      tags:
        - Generations
      summary: Get audio generation
      description: >-
        Get audio generation. See the Audio API guide for limits, lifecycle and
        examples.
      operationId: audio-get-generation
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AudioTask'
        default:
          description: Request failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    AudioTask:
      type: object
      properties:
        id:
          type: string
        model:
          type: string
          enum:
            - eleven_v3
            - eleven_v4
            - eleven_v4_turbo
        status:
          type: string
          enum:
            - queued
            - processing
            - succeeded
            - failed
            - cancelled
        outputs:
          type: object
          properties:
            audios:
              type: array
              items:
                type: object
                properties:
                  url:
                    type: string
                    format: uri
                  contentType:
                    type: string
                  bytes:
                    type: number
                  expiresAt:
                    type: string
                    format: date-time
                required: []
          required: []
        usage:
          $ref: '#/components/schemas/Usage'
        phase:
          type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - model
        - status
        - outputs
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
          required:
            - code
            - message
      required:
        - error
    Usage:
      type: object
      properties:
        inputCharacters:
          type: number
        billableCharacters:
          type: number
        chargedUsd:
          type: number
      required: []
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.